#include<bits/stdc++.h>
using namespace std;
int main(){
    long long n,m;
    ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	freopen("KEO.INP", "r", stdin);
	freopen("KEO.OUT", "w", stdout);
    cin>>n>>m;
    if (n*(n+1)/2>m){
        cout<<-1<<"\n";
    }
    else{
        long long tmp=m-n*(n+1)/2;
        long long t=tmp/n;
        long long a=t+1;
        long long b=n+t+(tmp%n==0 ? 0 : 1);
        cout<<a<<" "<<b<<"\n";
    }
}
